lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Doug Cutting <DCutt...@grandcentral.com>
Subject RE: [GUMP] Build Failure - Lucene
Date Wed, 03 Oct 2001 16:35:33 GMT
> From: Jason van Zyl [mailto:jvanzyl@apache.org]
> 
> I assumed this was caused by your recent set of changes, yes? 
> We like to try
> and keep Gumpy happy if we can ;-)

I don't know why this is failing.  I can build without error on both Win32
and Linux.

The problem is with the "demo" target, which was added to the "dist" target
yesterday.

> jar:
>       [jar] DEPRECATED - The jarfile attribute is deprecated. 
> Use file attribute instead.
>       [jar] Building jar: 
> /home/rubys/jakarta/jakarta-lucene/bin/lucene-gump.jar

I don't get this warning, so It looks like a different version of ant is
being used.  I'm using 1.4.  What version is GUMP using?  What JVM?

>     [javac] Compiling 16 source files to 
> /home/rubys/jakarta/jakarta-lucene/bin/demo/classes
>     [javac] 
> /home/rubys/jakarta/jakarta-lucene/bin/demo/src/org/apache/luc
> ene/HTMLDocument.java:58: package org.apache.lucene.document 
> does not exist
>     [javac] import org.apache.lucene.document.*;

Somehow the classpath is messed up.

Can you try this build by hand, passing the '-verbose' flag to ant, so that
we can see what classpath is in effect?

Doug

Mime
View raw message